GraphicUpdate (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.layer.link
Class GraphicUpdate

    java.lang.Object
      com.bbn.openmap.layer.link.GraphicUpdate

All Implemented Interfaces:
  LinkPropertiesConstants

    public class GraphicUpdate

extends java.lang.Object
implements LinkPropertiesConstants

A simple object used by the GestureLinkResponse to associate an action with a particular graphic, either with the graphic's ID for MODIFY-type actions, or with the graphic for UPDATE-type actions.

Field Summary
`int` | `action` A masked integer describing the action for the graphic.
`OMGraphic` | `graphic` The graphic, for updates.
`java.lang.String` | `id` The graphic's ID.

Fields inherited from interface com.bbn.openmap.layer.link.LinkPropertiesConstants
`LPC_BACKWARD_DIAG_PATTERN, LPC_CENTER_LAT, LPC_CENTER_LONG, LPC_CLEAR_PROPERTIES, LPC_CLEAR_PROPERTIES_CHAR, LPC_CROSS_PATTERN, LPC_DASH, LPC_DASH_DOT, LPC_DASH_DOT_DOT, LPC_DIAG_CROSS_PATTERN, LPC_DOT, LPC_FILLCOLOR, LPC_FILLPATTERN, LPC_FORWARD_DIAG_PATTERN, LPC_GRAPHICID, LPC_HEIGHT, LPC_HIGHLIGHTCOLOR, LPC_HORIZONTAL_PATTERN, LPC_HTML, LPC_INFO, LPC_LATMAX, LPC_LATMIN, LPC_LINECOLOR, LPC_LINESTYLE, LPC_LINEWIDTH, LPC_LINKRASTERIMAGEURL, LPC_LINKROTATION, LPC_LINKTEXTBASELINE, LPC_LINKTEXTFONT, LPC_LINKTEXTSTRING, LPC_LONG_DASH, LPC_LONMAX, LPC_LONMIN, LPC_MESSAGE, LPC_OLD_FILLCOLOR, LPC_OLD_FILLPATTERN, LPC_OLD_HIGHLIGHTCOLOR, LPC_OLD_LINECOLOR, LPC_OLD_LINESTYLE, LPC_OLD_LINEWIDTH, LPC_OLD_LINKTEXTFONT, LPC_OLD_LINKTEXTSTRING, LPC_PROJECTION, LPC_PROPERY_MANAGEMENT_POLICY, LPC_PROPERY_MANAGEMENT_POLICY_CHAR, LPC_REUSE_PROPERTIES, LPC_REUSE_PROPERTIES_CHAR, LPC_SCALE, LPC_SOLID, LPC_SOLID_PATTERN, LPC_TIME, LPC_URL, LPC_VERTICAL_PATTERN, LPC_WIDTH`

Constructor Summary
`GraphicUpdate(int graphicAction, OMGraphic omg)` Constructor for update-type actions.
`GraphicUpdate(int graphicAction, java.lang.String gid)` Constructor for modify-type actions.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### action

    public int action

  A masked integer describing the action for the graphic. See GestureLinkResponse fo the masks.

### id

    public java.lang.String id

  The graphic's ID.

### graphic

    public OMGraphic graphic

  The graphic, for updates.

Constructor Detail

### GraphicUpdate

    public GraphicUpdate(int graphicAction,
                         java.lang.String gid)

  Constructor for modify-type actions.

### GraphicUpdate

    public GraphicUpdate(int graphicAction,
                         OMGraphic omg)

  Constructor for update-type actions.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details